<?php
	
	//mengambil data tahun anggaran aktif untuk user yang sedang aktif
	$username=$_SESSION["ses_admin_id"];
	$qryy=mysqli_query($mysqli,"SELECT * FROM settings WHERE username='$username'");

	if(mysqli_num_rows($qryy)>0){
		$datay=mysqli_fetch_array($qryy);
		$tahun_anggaran=$datay["tahun_anggaran"];
	}else{
		msgbox("Tahun Anggaran belum diatur di halaman pengaturan!");
		lempar("admin.php?page=settings&page_desc=Pengaturan Tahun Anggaran Aktif");
		die();
	}

	//$qry0=mysqli_query($mysqli,"SELECT * FROM m_anggaran WHERE LENGTH(kode_rekening)=1 AND tahun_anggaran='$tahun_anggaran' ORDER BY kode_rekening ASC");

	$qry0=mysqli_query($mysqli,"SELECT * FROM m_anggaran WHERE level_kode_rekening='1' AND tahun_anggaran='$tahun_anggaran' ORDER BY kode_rekening ASC");
	echo "<h3>Tahun Anggaran Aktif: $tahun_anggaran</h3>";
	echo "<h3 align=\"right\" style=\"padding-right:10px\"><a href='?action=add_anggaran' style=\"color:#FF0066\">Tambah Mata Anggaran</a></h3>";

	echo "<table width='98%' border='1' cellpadding='0' cellspacing='0'>";
	echo "<tr>
			<th width='15%'>Kode Rekening</th>
			<th width='70%'>Uraian</th>
			<th width='15%'>Opsi</th>
		  </tr>";
	while($kol0=mysqli_fetch_array($qry0)){

		echo "<tr>
				<td>$kol0[kode_rekening]</td>
				<td>$kol0[uraian]&nbsp;&nbsp;<a href='admin.php?action=add_anggaran&kode_rekening=$kol0[kode_rekening]'><img src='images/tambah_kecil.png'></a></td>
				<td><a href=\"?action=edit_anggaran&id_anggaran=$kol0[id]\"><img src=\"images/edit.gif\" /></a>&nbsp;|&nbsp;<a href=\"_del_anggaran.php?id_anggaran=$kol0[id]\" onclick=\"return confirm('Yakin akan menghapus data anggaran $kol0[uraian] ?')\"><img src=\"images/delete.gif\" /></a></td>
			  </tr>";
		
		$qryx1=mysqli_query($mysqli,"SELECT * FROM m_anggaran WHERE level_kode_rekening='2' AND jenis_kode_rekening='H' AND induk_kode_rekening='$kol0[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' ORDER BY kode_rekening ASC");
		//echo "SELECT * FROM m_anggaran WHERE level_kode_rekening='2' AND jenis_kode_rekening='H' AND induk_kode_rekening='$kol0[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' ORDER BY kode_rekening ASC";
		while($kol1=mysqli_fetch_array($qryx1)){

			echo "<tr>
					<td>$kol1[kode_rekening]</td>
					<td>$kol1[uraian]&nbsp;&nbsp;<a href='admin.php?action=add_anggaran&kode_rekening=$kol1[kode_rekening]'><img src='images/tambah_kecil.png'></a></td>
					<td><a href=\"?action=edit_anggaran&id_anggaran=$kol1[id]\"><img src=\"images/edit.gif\" /></a>&nbsp;|&nbsp;<a href=\"_del_anggaran.php?id_anggaran=$kol1[id]\" onclick=\"return confirm('Yakin akan menghapus data anggaran $kol1[uraian] ?')\"><img src=\"images/delete.gif\" /></a></td>
				  </tr>";

			  //echo "<optgroup label='&nbsp;&nbsp;$kol1[kode_rekening] - $kol1[uraian]'>";
			$qryx2=mysqli_query($mysqli,"SELECT * FROM m_anggaran WHERE level_kode_rekening='3' AND jenis_kode_rekening='H' AND induk_kode_rekening='$kol1[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' ORDER BY kode_rekening ASC");
			//echo "SELECT * FROM m_anggaran WHERE level_kode_rekening='3' AND jenis_kode_rekening='H' AND induk_kode_rekening='$kol1[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' ORDER BY kode_rekening ASC";

			while($kol2=mysqli_fetch_array($qryx2)){

				echo "<tr>
						<td>$kol2[kode_rekening]</td>
						<td>$kol2[uraian]&nbsp;&nbsp;<a href='admin.php?action=add_anggaran&kode_rekening=$kol2[kode_rekening]'><img src='images/tambah_kecil.png'></a></td>
						<td><a href=\"?action=edit_anggaran&id_anggaran=$kol2[id]\"><img src=\"images/edit.gif\" /></a>&nbsp;|&nbsp;<a href=\"_del_anggaran.php?id_anggaran=$kol2[id]\" onclick=\"return confirm('Yakin akan menghapus data anggaran $kol2[uraian] ?')\"><img src=\"images/delete.gif\" /></a></td>
					  </tr>";

				$qryx3=mysqli_query($mysqli,"SELECT * FROM m_anggaran WHERE level_kode_rekening=4 AND jenis_kode_rekening='H' AND induk_kode_rekening='$kol2[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' ORDER BY kode_rekening ASC");
				while($kol3=mysqli_fetch_array($qryx3)){

					echo "<tr>
						<td>$kol3[kode_rekening]</td>
						<td>$kol3[uraian]</td>
						<td><a href=\"?action=edit_anggaran&id_anggaran=$kol3[id]\"><img src=\"images/edit.gif\" /></a>&nbsp;|&nbsp;<a href=\"_del_anggaran.php?id_anggaran=$kol3[id]\" onclick=\"return confirm('Yakin akan menghapus data anggaran $kol3[uraian] ?')\"><img src=\"images/delete.gif\" /></a></td>
					  </tr>";

					//echo "<optgroup label='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$kol3[kode_rekening] - $kol3[uraian]'>";
					$qryx4=mysqli_query($mysqli,"SELECT * FROM m_anggaran WHERE level_kode_rekening='4' AND jenis_kode_rekening='D' AND kode_rekening='$kol3[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' ORDER BY kode_rekening ASC");
					//echo "SELECT * FROM m_anggaran WHERE level_kode_rekening='4' AND jenis_kode_rekening='D' AND kode_rekening='$kol3[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' ORDER BY kode_rekening ASC";
					//echo "<br/>Jumrec: " . mysqli_num_rows($qryx4) . "<br/>";
					while($kol4=mysqli_fetch_array($qryx4)){

						echo "<tr>
								<td>&nbsp;</td>
								<td>- $kol4[uraian]</td>
								<td><a href=\"?action=edit_anggaran&id_anggaran=$kol4[id]\"><img src=\"images/edit.gif\" /></a>&nbsp;|&nbsp;<a href=\"_del_anggaran.php?id_anggaran=$kol4[id]\" onclick=\"return confirm('Yakin akan menghapus data anggaran $kol4[uraian] ?')\"><img src=\"images/delete.gif\" /></a></td>
							  </tr>";

						

						//echo "<option value=''>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$kol4[kode_rekening] - $kol4[uraian]</option>";
					}

					echo "<tr>
								<td>&nbsp;</td>
								<td><a href='admin.php?action=add_anggaran&kode_rekening=$kol3[kode_rekening]'><img src='images/tambah.png'></a></td>
								<td>&nbsp;</td>
							  </tr>";

					echo "</optgroup>";
				}

				echo "</optgroup>";
			}

			echo "</optgroup>";
		}
		echo "</optgroup>";

		
	}
	

	echo "</table>";
?>